Subject: [tcpm] [Errata Held for Document Update] RFC5925 (6406)

From: RFC Errata System <[email-masked]>
Date: Mon, 25 Jan 2021 07:19:42 -0800 (PST)

The following errata report has been held for document update 
for RFC5925, "The TCP Authentication Option". 

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6406

--------------------------------------
Status: Held for Document Update
Type: Editorial

Reported by: Ananth Rajadurai <[email-masked]>
Date Reported: 2021-01-22
Held by: Martin Duke (IESG)

Section: Section 5.1

Original Text
-------------
In Section 5.1, Figure 6 - TCP IPv6 Pseudoheader

+--------+--------+--------+--------+
|                                   |
+                                   +
|                                   |
+          Source Address           +
|                                   |
+                                   +
|                                   |
+                                   +
+--------+--------+--------+--------+
|                                   |
+                                   +
|                                   |
+        Destination Address        +
|                                   |
+                                   +
|                                   |
+--------+--------+--------+--------+
|      Upper-Layer Payload Length   |
+--------+--------+--------+--------+
|      Zero       |    Next Header  |
+--------+--------+--------+--------+

Corrected Text
--------------
+--------+--------+--------+--------+
|                                   |
+                                   +
|                                   |
+          Source Address           +
|                                   |
+                                   +
|                                   |
+                                   +
+--------+--------+--------+--------+
|                                   |
+                                   +
|                                   |
+        Destination Address        +
|                                   |
+                                   +
|                                   |
+--------+--------+--------+--------+
|      Upper-Layer Payload Length   |
+--------+--------+--------+--------+
|            Zero          |Next Hdr|
+--------+--------+--------+--------+

Notes
-----
In IPv6 pseudoheader,  Zero field should be 3 bytes and Next header should be 1 byte. 
But in RFC 5925, figure 6, it misleads into Zero field 2 bytes and Next header 2 bytes.

--------------------------------------
RFC5925 (draft-ietf-tcpm-tcp-auth-opt-11)
--------------------------------------
Title               : The TCP Authentication Option
Publication Date    : June 2010
Author(s)           : J. Touch, A. Mankin, R. Bonica
Category            : PROPOSED STANDARD
Source              : TCP Maintenance and Minor Extensions
Area                : Transport
Stream              : IETF
Verifying Party     : IESG